<script setup lang="ts">
import { onShow } from '@dcloudio/uni-app'

import PatriarchCard from './patriarch-card.vue'
import AboutMine from './about-mine.vue'
import { useUserStore, useBadgeStore } from '@/store'

const { refreshBadge } = useBadgeStore()
const { getUserInfo } = useUserStore()

onShow(async () => {
  getUserInfo()
  refreshBadge()
})
</script>

<style scoped lang="scss">
.content {
  padding: 30rpx;
}
</style>

<template>
  <mj-page class="content">
    <PatriarchCard />
    <AboutMine />
  </mj-page>
</template>
